# class DOMImplementation

#### package js.html

Available on HTML5

The `DOMImplementation` interface represent an object providing methods which are not dependent on any particular document. Such an object is returned by the `Document.implementation` property.

Documentation DOMImplementation by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/DOMImplementation

### Methods

###

`createDocument (namespace_:String, qualifiedName:String, ?doctype:DocumentType):HTMLDocument`

Throws:

`null` | DOMError

###

`createDocumentType (qualifiedName:String, publicId:String, systemId:String):DocumentType`

Throws:

`null` | DOMError

###

`createHTMLDocument (?title:String):HTMLDocument`

Throws:

`null` | DOMError

###

`hasFeature (feature:String, version:String):Bool`

Returns a `Boolean` indicating if a given feature is supported or not. This function is unreliable and kept for compatibility purpose alone: except for SVG-related queries, it always returns `true`. Old browsers are very inconsistent in their behavior.